### Method

# GtkSource File is_externally_modified

#### Declaration [src]

    gboolean
    gtk_source_file_is_externally_modified (
      GtkSourceFile* file
    )

#### Description [src]

Returns whether the file is externally modified. If the `GtkSourceFile:location` is `NULL`, returns `FALSE`.

To have an up-to-date value, you must first call `gtk_source_file_check_file_on_disk()`.

#### Return value

Type: `gboolean`

Whether the file is externally modified.